{% extends "dashboard/dashboard_content.html" %}
{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Approve New Users
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            {% if users %}
                <div class="row">
                    <form method="POST">{% csrf_token %}
                        <div class="table-responsive">
                            <table class="table table-striped ">
                                <thead>
                                <tr>
                                    <th>S.No</th>
                                    <th>Name</th>
                                    <th>Department</th>
                                    <th>Designation</th>
                                    <th>User Name</th>
                                    <th>Device Type</th>
                                    <th>MAC ID</th>
                                    <th>Approve</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for user in users %}
                                    <tr>
                                        <td>{{ forloop.counter }}</td>
                                        <td>{{ user.name }}</td>
                                        <td>{{ user.department }}</td>
                                        <td>{{ user.designation }}</td>
                                        <td>{{ user.uname }}</td>
                                        <td>{{ user.device_type }}</td>
                                        <td>{{ user.mac_id }}</td>
                                        <td><input type="checkbox" name="selected_users"
                                                   value="{{ user.wifi_request_id }}">
                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                        <div class="text-center">
                            <div align="center">
                                <input type="submit" class="save btn btn-lg btn-success" name="approve"
                                       value="Approve Users"
                                       id="approve"/>
                            </div>
                        </div>

                    </form>

                </div>
            {% endif %}
        </div>
    </div>
{% endblock %}